Index: src/viewer/histogram.py
===================================================================
--- src/viewer/histogram.py	(revision 2b41ffeb36a5e52980441e46fafca007f1479f36)
+++ src/viewer/histogram.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,4 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 '''
 Created on 2015.10.10
@@ -6,8 +8,10 @@
 
 '''
+
 from conf import *
 from canvas import *
 from model.readData import *
 from model.readImage import *
+
 
 class CSNSHistogramPage(QtGui.QTabWidget):
@@ -17,119 +21,177 @@
         self.setupUi(self)
 
-    def setupUi(self,QTabWidget):
-    	self.setTabPosition(QTabWidget.West)
+    def setupUi(self, QTabWidget):
+        self.setTabPosition(QTabWidget.West)
 
-        #main  grid
+        # main  grid
+
         self.mainGridWidget = QtGui.QWidget(self)
         self.mainGrid = QtGui.QGridLayout(self.mainGridWidget)
 
-        #Backward TOF/d
+        # Backward TOF/d
+
         self.BackwardComboBox = QtGui.QComboBox()
-        self.BackwardComboBox.addItem("TOF")
-        self.BackwardComboBox.addItem("d")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.BackwardComboBox.currentIndex()
-        
-        _xsize=5
-        _ysize=0.8
+        self.BackwardComboBox.addItem('TOF')
+        self.BackwardComboBox.addItem('d')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.BackwardComboBox.currentIndex()
+
+        _xsize = 5
+        _ysize = 0.8
 
         # Backward
-        self.BackwardLabel = QtGui.QLabel("Backward")
-        self.CountBackwardLabel = QtGui.QLabel("Count")
+
+        self.BackwardLabel = QtGui.QLabel('Backward')
+        self.CountBackwardLabel = QtGui.QLabel('Count')
 
         self.BackwardImageCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
-        self.BackwardImage = self.BackwardImageCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.BackwardImage = \
+            self.BackwardImageCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.BackwardImageCanvas.ax.add_patch(self.rect)
-        self.BackwardImageCanvas.fig.subplots_adjust(left=0.12,bottom=0.15,right=0.95,top=0.95)
-        self.BackwardImageCanvas.ax.set_xlabel("Vertical",fontsize=5)
-        self.BackwardImageCanvas.ax.set_ylabel("Horizental",fontsize=5)
+        self.BackwardImageCanvas.fig.subplots_adjust(left=0.12,
+                bottom=0.15, right=0.95, top=0.95)
+        self.BackwardImageCanvas.ax.set_xlabel('Vertical', fontsize=5)
+        self.BackwardImageCanvas.ax.set_ylabel('Horizental', fontsize=5)
         self.BackwardImageCanvas.draw()
 
         # 90-Bank TOF/d
+
         self.BankComboBox = QtGui.QComboBox()
-        self.BankComboBox.addItem("TOF")
-        self.BankComboBox.addItem("d")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.BankComboBox.currentIndex()
+        self.BankComboBox.addItem('TOF')
+        self.BankComboBox.addItem('d')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.BankComboBox.currentIndex()
 
         # 90-Bank
-        self.BankLabel = QtGui.QLabel("90 Bank")
-        self.CountBankLabel = QtGui.QLabel("Count")
+
+        self.BankLabel = QtGui.QLabel('90 Bank')
+        self.CountBankLabel = QtGui.QLabel('Count')
         self.BankCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        nx, dataX = CSNSRead2DData("./dat/monitor.dat")
-        self.BankCanvas.ax.plot(dataX[0],dataX[1],color='red')
-        self.BankCanvas.ax.tick_params(axis='both', which='major', labelsize=5)
-        self.BankCanvas.fig.subplots_adjust(left=0.12,bottom=0.15,right=0.95,top=0.95)
-        self.BankCanvas.ax.set_xlabel("Vertical",fontsize=5)
-        self.BankCanvas.ax.set_ylabel("Horizental",fontsize=5)
+        (nx, dataX) = CSNSRead2DData('./dat/monitor.dat')
+        self.BankCanvas.ax.plot(dataX[0], dataX[1], color='red')
+        self.BankCanvas.ax.tick_params(axis='both', which='major',
+                labelsize=5)
+        self.BankCanvas.fig.subplots_adjust(left=0.12, bottom=0.15,
+                right=0.95, top=0.95)
+        self.BankCanvas.ax.set_xlabel('Vertical', fontsize=5)
+        self.BankCanvas.ax.set_ylabel('Horizental', fontsize=5)
         self.BankCanvas.draw()
-        
+
         # Small-angle bank TOF/d
+
         self.SmallComboBox = QtGui.QComboBox()
-        self.SmallComboBox.addItem("TOF")
-        self.SmallComboBox.addItem("d")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.SmallComboBox.currentIndex()
-        
+        self.SmallComboBox.addItem('TOF')
+        self.SmallComboBox.addItem('d')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.SmallComboBox.currentIndex()
+
         # Small-angle bank
-        self.SmallLabel = QtGui.QLabel("Small-angle bank")
-        self.CountSmallLabel = QtGui.QLabel("Count")
+
+        self.SmallLabel = QtGui.QLabel('Small-angle bank')
+        self.CountSmallLabel = QtGui.QLabel('Count')
         self.SmallCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxtX, self.dataxtY, self.dataxtZ = CSNSReadImage2Matrix(self.filext[_index], 1, 0.4)
-        self.SmallImage = self.SmallCanvas.ax.pcolormesh(self.dataxtY, self.dataxtX, self.dataxtZ, cmap=cm.hot)
-        self.SmallCanvas.fig.subplots_adjust(left=0.12,bottom=0.15,right=0.95,top=0.95)
-        self.SmallCanvas.ax.set_xlabel("Vertical",fontsize=5)
-        self.SmallCanvas.ax.set_ylabel("Horizental",fontsize=5)        
+        (self.dataxtX, self.dataxtY, self.dataxtZ) = \
+            CSNSReadImage2Matrix(self.filext[_index], 1, 0.4)
+        self.SmallImage = self.SmallCanvas.ax.pcolormesh(self.dataxtY,
+                self.dataxtX, self.dataxtZ, cmap=cm.hot)
+        self.SmallCanvas.fig.subplots_adjust(left=0.12, bottom=0.15,
+                right=0.95, top=0.95)
+        self.SmallCanvas.ax.set_xlabel('Vertical', fontsize=5)
+        self.SmallCanvas.ax.set_ylabel('Horizental', fontsize=5)
         self.SmallCanvas.draw()
 
         # Monitor TOF/d
+
         self.MonitorComboBox = QtGui.QComboBox()
-        self.MonitorComboBox.addItem("TOF")
-        self.MonitorComboBox.addItem("d")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.MonitorComboBox.currentIndex()
-        
+        self.MonitorComboBox.addItem('TOF')
+        self.MonitorComboBox.addItem('d')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.MonitorComboBox.currentIndex()
+
         # Monitor
-        self.MonitorLabel = QtGui.QLabel("Monitor")
-        self.CountMonitorLabel = QtGui.QLabel("Count")
+
+        self.MonitorLabel = QtGui.QLabel('Monitor')
+        self.CountMonitorLabel = QtGui.QLabel('Count')
         self.MonitorCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataXTx=[]
-        for i in range(1,self.dataxtY.shape[0]):
+        self.dataXTx = []
+        for i in range(1, self.dataxtY.shape[0]):
             self.dataXTx.append(self.dataxtY[0][i])
-        self.dataXTy=[]
-        for i in range(1,self.dataxtX.shape[0]):
+        self.dataXTy = []
+        for i in range(1, self.dataxtX.shape[0]):
             self.dataXTy.append(self.dataxtX[i][0])
 
-        self.MonitorFigure=self.MonitorCanvas.ax.plot(self.dataXTx,self.dataxtZ[40][:],color='red')
-        self.MonitorCanvas.fig.subplots_adjust(left=0.12,bottom=0.15,right=0.95,top=0.95)
-        self.MonitorCanvas.ax.set_xlabel("Vertical",fontsize=5)
-        self.MonitorCanvas.ax.set_ylabel("Horizental",fontsize=5)
+        self.MonitorFigure = self.MonitorCanvas.ax.plot(self.dataXTx,
+                (self.dataxtZ[40])[:], color='red')
+        self.MonitorCanvas.fig.subplots_adjust(left=0.12, bottom=0.15,
+                right=0.95, top=0.95)
+        self.MonitorCanvas.ax.set_xlabel('Vertical', fontsize=5)
+        self.MonitorCanvas.ax.set_ylabel('Horizental', fontsize=5)
         self.MonitorCanvas.draw()
 
-        self.mainGrid.addWidget(self.BackwardLabel,        0 ,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountBackwardLabel,   0 ,0,1,1)
-        self.mainGrid.addWidget(self.BackwardImageCanvas,  1,1,1,1)
-        self.mainGrid.addWidget(self.BackwardComboBox,     1,2,1,1)
-        self.mainGrid.addWidget(self.BackwardImageCanvas,  1,1,1,1)
-        self.mainGrid.addWidget(self.BankLabel,            2,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountBankLabel,       2 ,0,1,1)
-        self.mainGrid.addWidget(self.BankCanvas,           3,1,1,1)
-        self.mainGrid.addWidget(self.BankComboBox,         3,2,1,1)
-        self.mainGrid.addWidget(self.SmallLabel,           4,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountSmallLabel,      4 ,0,1,1)
-        self.mainGrid.addWidget(self.SmallCanvas,          5,1,1,1)
-        self.mainGrid.addWidget(self.SmallComboBox,        5,2,1,1)
-        self.mainGrid.addWidget(self.MonitorLabel,         6,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.CountMonitorLabel,    6 ,0,1,1)
-        self.mainGrid.addWidget(self.MonitorCanvas,        7,1,1,1)
-        self.mainGrid.addWidget(self.MonitorComboBox,      7,2,1,1)
+        self.mainGrid.addWidget(
+            self.BackwardLabel,
+            0,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountBackwardLabel, 0, 0, 1, 1)
+        self.mainGrid.addWidget(self.BackwardImageCanvas, 1, 1, 1, 1)
+        self.mainGrid.addWidget(self.BackwardComboBox, 1, 2, 1, 1)
+        self.mainGrid.addWidget(self.BackwardImageCanvas, 1, 1, 1, 1)
+        self.mainGrid.addWidget(
+            self.BankLabel,
+            2,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountBankLabel, 2, 0, 1, 1)
+        self.mainGrid.addWidget(self.BankCanvas, 3, 1, 1, 1)
+        self.mainGrid.addWidget(self.BankComboBox, 3, 2, 1, 1)
+        self.mainGrid.addWidget(
+            self.SmallLabel,
+            4,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountSmallLabel, 4, 0, 1, 1)
+        self.mainGrid.addWidget(self.SmallCanvas, 5, 1, 1, 1)
+        self.mainGrid.addWidget(self.SmallComboBox, 5, 2, 1, 1)
+        self.mainGrid.addWidget(
+            self.MonitorLabel,
+            6,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(self.CountMonitorLabel, 6, 0, 1, 1)
+        self.mainGrid.addWidget(self.MonitorCanvas, 7, 1, 1, 1)
+        self.mainGrid.addWidget(self.MonitorComboBox, 7, 2, 1, 1)
+
+
Index: src/viewer/hotimage.py
===================================================================
--- src/viewer/hotimage.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/viewer/hotimage.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,4 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 '''
 Created on 2015.10.10
@@ -6,4 +8,5 @@
 
 '''
+
 from conf import *
 from canvas import *
@@ -11,4 +14,5 @@
 from model.readImage import *
 
+
 class CSNSHotimagePage(QtGui.QTabWidget):
 
@@ -17,125 +21,202 @@
         self.setupUi(self)
 
-    def setupUi(self,QTabWidget):
-    	self.setTabPosition(QTabWidget.West)
-
-        #main  grid
+    def setupUi(self, QTabWidget):
+        self.setTabPosition(QTabWidget.West)
+
+        # main  grid
+
         self.mainGridWidget = QtGui.QWidget(self)
         self.mainGrid = QtGui.QGridLayout(self.mainGridWidget)
- 
+
         # Left Label
-        self.LeftLabel = QtGui.QLabel("Left")
+
+        self.LeftLabel = QtGui.QLabel('Left')
+
         # Right Label
-        self.RightLabel = QtGui.QLabel("Right")
-         
+
+        self.RightLabel = QtGui.QLabel('Right')
+
         # Bckward 2D/3D
+
         self.BackwardComboBox = QtGui.QComboBox()
-        self.BackwardComboBox.addItem("2D")
-        self.BackwardComboBox.addItem("3D")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.BackwardComboBox.currentIndex()
-
-        _xsize=3
-        _ysize=1
+        self.BackwardComboBox.addItem('2D')
+        self.BackwardComboBox.addItem('3D')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.BackwardComboBox.currentIndex()
+
+        _xsize = 3
+        _ysize = 1
 
         # Backward
-        self.BackwardLabel = QtGui.QLabel("Backward")
+
+        self.BackwardLabel = QtGui.QLabel('Backward')
 
         self.BackwardCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
-        self.BackwardImage = self.BackwardCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.BackwardImage = \
+            self.BackwardCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.BackwardCanvas.ax.add_patch(self.rect)
         self.BackwardCanvas.draw()
 
         # Background
-        self.BackgroundLabel = QtGui.QLabel("Backward")
+
+        self.BackgroundLabel = QtGui.QLabel('Backward')
 
         self.BackgroundCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)  
-        self.BackgroundImage = self.BackwardCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2) 
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.BackgroundImage = \
+            self.BackwardCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.BackgroundCanvas.ax.add_patch(self.rect)
         self.BackgroundCanvas.draw()
 
         # 90-bank
-        self.BankLabel = QtGui.QLabel("90-Bank")
+
+        self.BankLabel = QtGui.QLabel('90-Bank')
 
         self.BankCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
-        self.BankImage = self.BankCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.BankImage = self.BankCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.BankCanvas.ax.add_patch(self.rect)
         self.BankCanvas.draw()
 
         # noise
-        self.NoiseLabel = QtGui.QLabel("Noise")
+
+        self.NoiseLabel = QtGui.QLabel('Noise')
 
         self.NoiseCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
-        self.NoiseImage = self.NoiseCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.NoiseImage = self.NoiseCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.NoiseCanvas.ax.add_patch(self.rect)
         self.NoiseCanvas.draw()
 
         # ComboBox 2D/3D
+
         self.BankComboBox = QtGui.QComboBox()
-        self.BankComboBox.addItem("2D")
-        self.BankComboBox.addItem("3D")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.BankComboBox.currentIndex()
+        self.BankComboBox.addItem('2D')
+        self.BankComboBox.addItem('3D')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.BankComboBox.currentIndex()
 
         # Small-angle Bank
-        self.SmallLabel = QtGui.QLabel("90-Bank")
+
+        self.SmallLabel = QtGui.QLabel('90-Bank')
 
         self.SmallCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
-        self.SmallImage = self.SmallCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.SmallImage = self.SmallCanvas.ax.pcolormesh(self.dataxyY,
+                self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.SmallCanvas.ax.add_patch(self.rect)
         self.SmallCanvas.draw()
 
         # Holder
-        self.HolderLabel = QtGui.QLabel("Noise")
+
+        self.HolderLabel = QtGui.QLabel('Noise')
 
         self.HolderCanvas = CSNSCanvas(self, _xsize, _ysize)
 
-        self.dataxyX, self.dataxyY, self.dataxyZ = CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
-        self.HolderImage = self.HolderCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX, self.dataxyZ, cmap=cm.coolwarm)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        (self.dataxyX, self.dataxyY, self.dataxyZ) = \
+            CSNSReadImage2Matrix(self.filexy[_index], 1, 1)
+        self.HolderImage = \
+            self.HolderCanvas.ax.pcolormesh(self.dataxyY, self.dataxyX,
+                self.dataxyZ, cmap=cm.coolwarm)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.HolderCanvas.ax.add_patch(self.rect)
         self.HolderCanvas.draw()
-        
+
         # ComboBox 2D/3D
+
         self.SmallComboBox = QtGui.QComboBox()
-        self.SmallComboBox.addItem("2D")
-        self.SmallComboBox.addItem("3D")
-        self.filexy=["img/XY ++.png", "img/XY +-.png"]
-        self.filext=["img/XT ++.png", "img/XT +-.png"]
-        _index=self.SmallComboBox.currentIndex()
-
-
-        self.mainGrid.addWidget(self.LeftLabel,  0,0,1,1)
-        self.mainGrid.addWidget(self.RightLabel, 0,1,1,1)
-        self.mainGrid.addWidget(self.BackwardLabel, 1,0,1,1)
-        self.mainGrid.addWidget(self.BackgroundLabel,    1,1,1,1)
-        self.mainGrid.addWidget(self.BackwardCanvas,    2,0,1,1)
-        self.mainGrid.addWidget(self.BackgroundCanvas,    2,1,1,1)
-        self.mainGrid.addWidget(self.BackwardComboBox,    2,2,1,1)
-        self.mainGrid.addWidget(self.BankLabel, 3,0,1,1)
-        self.mainGrid.addWidget(self.NoiseLabel, 3,1,1,1)
-        self.mainGrid.addWidget(self.BankCanvas, 4,0,1,1)
-        self.mainGrid.addWidget(self.NoiseCanvas, 4,1,1,1)
-        self.mainGrid.addWidget(self.BankComboBox,    4,2,1,1)
-        self.mainGrid.addWidget(self.SmallLabel, 5,0,1,1)
-        self.mainGrid.addWidget(self.HolderLabel, 5,1,1,1)
-        self.mainGrid.addWidget(self.SmallCanvas, 6,0,1,1)
-        self.mainGrid.addWidget(self.HolderCanvas, 6,1,1,1)
-        self.mainGrid.addWidget(self.SmallComboBox,    6,2,1,1)
+        self.SmallComboBox.addItem('2D')
+        self.SmallComboBox.addItem('3D')
+        self.filexy = ['img/XY ++.png', 'img/XY +-.png']
+        self.filext = ['img/XT ++.png', 'img/XT +-.png']
+        _index = self.SmallComboBox.currentIndex()
+
+        self.mainGrid.addWidget(self.LeftLabel, 0, 0, 1, 1)
+        self.mainGrid.addWidget(self.RightLabel, 0, 1, 1, 1)
+        self.mainGrid.addWidget(self.BackwardLabel, 1, 0, 1, 1)
+        self.mainGrid.addWidget(self.BackgroundLabel, 1, 1, 1, 1)
+        self.mainGrid.addWidget(self.BackwardCanvas, 2, 0, 1, 1)
+        self.mainGrid.addWidget(self.BackgroundCanvas, 2, 1, 1, 1)
+        self.mainGrid.addWidget(self.BackwardComboBox, 2, 2, 1, 1)
+        self.mainGrid.addWidget(self.BankLabel, 3, 0, 1, 1)
+        self.mainGrid.addWidget(self.NoiseLabel, 3, 1, 1, 1)
+        self.mainGrid.addWidget(self.BankCanvas, 4, 0, 1, 1)
+        self.mainGrid.addWidget(self.NoiseCanvas, 4, 1, 1, 1)
+        self.mainGrid.addWidget(self.BankComboBox, 4, 2, 1, 1)
+        self.mainGrid.addWidget(self.SmallLabel, 5, 0, 1, 1)
+        self.mainGrid.addWidget(self.HolderLabel, 5, 1, 1, 1)
+        self.mainGrid.addWidget(self.SmallCanvas, 6, 0, 1, 1)
+        self.mainGrid.addWidget(self.HolderCanvas, 6, 1, 1, 1)
+        self.mainGrid.addWidget(self.SmallComboBox, 6, 2, 1, 1)
+
+
Index: src/viewer/mainTab.py
===================================================================
--- src/viewer/mainTab.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/viewer/mainTab.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,6 +1,9 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 from PyQt4 import QtCore, QtGui
 from PyQt4 import Qt
 
 # for user defined
+
 from chopper import *
 from sample import *
@@ -10,12 +13,14 @@
 from model.chopperModel import *
 
+
 class CSNSMainTab(QtGui.QTabWidget):
+
     def __init__(self, parent=None):
         super(CSNSMainTab, self).__init__(parent)
         self.setupUi(self)
 
-    def setupUi(self,QTabWidget):
+    def setupUi(self, QTabWidget):
 
-        #self.main_tab = QtGui.QTabWidget(self.main_vertical)
+        # self.main_tab = QtGui.QTabWidget(self.main_vertical)
 
         self.chopperPage = CSNSChopperPage()
@@ -26,11 +31,14 @@
 
         self.tfvalue = TimeFrameCalculation(0.5, 6.0)
-        pulseList, chopperList, timeList, xList, yList=self.tfvalue.getTimeFrame()
-        self.chopperPage.updateTimeFrame(pulseList, chopperList, timeList, xList, yList)
+        (pulseList, chopperList, timeList, xList, yList) = \
+            self.tfvalue.getTimeFrame()
+        self.chopperPage.updateTimeFrame(pulseList, chopperList,
+                timeList, xList, yList)
 
-        self.addTab(self.chopperPage, "Chopper")
-        self.addTab(self.samplePage, "Sample")
-        self.addTab(self.analysisPage, "Analysis")
-        self.addTab(self.calibrationPage, "Calibration")
-        self.addTab(self.reductionPage, "Reduction")
+        self.addTab(self.chopperPage, 'Chopper')
+        self.addTab(self.samplePage, 'Sample')
+        self.addTab(self.analysisPage, 'Analysis')
+        self.addTab(self.calibrationPage, 'Calibration')
+        self.addTab(self.reductionPage, 'Reduction')
 
+
Index: src/viewer/reduction.py
===================================================================
--- src/viewer/reduction.py	(revision 2701891655f0e8a08577f9810aecfe572d1d3892)
+++ src/viewer/reduction.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,6 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+# configure
+
 '''
 Created on 2015.6.2
@@ -5,5 +9,5 @@
 reduction
 '''
-# configure
+
 from conf import *
 
@@ -12,7 +16,9 @@
 
 # user defined
+
 from model.readData import *
 from model.readFile import *
 from model.readImage import *
+
 
 class CSNSReductionPage(QtGui.QWidget):
@@ -22,10 +28,12 @@
         self.setupUi(self)
 
-    def setupUi(self,QWidget):
-        #for main  grid
+    def setupUi(self, QWidget):
+
+        # for main  grid
+
         self.mainGrid = QtGui.QGridLayout(self)
 
         self.flowText = QtGui.QTextEdit(self)
-        self.flowText.setText(CSNSReadText("dat/flowchart.dot"))
+        self.flowText.setText(CSNSReadText('dat/flowchart.dot'))
 
         self.flowEdit = QtGui.QTextEdit(self)
@@ -35,10 +43,13 @@
         self.flowAxes = fig.add_subplot(111)
 
-        self.flowFigure = nx.read_dot("dat/flowchart.dot")
-        nx.draw_networkx(self.flowFigure,ax=self.flowAxes, node_color='b')
-        
+        self.flowFigure = nx.read_dot('dat/flowchart.dot')
+        nx.draw_networkx(self.flowFigure, ax=self.flowAxes,
+                         node_color='b')
+
         self.flowCanvas.draw()
 
-        self.mainGrid.addWidget(self.flowText,     0,0,1,1)
-        self.mainGrid.addWidget(self.flowCanvas,   0,2,1,1)
-        self.mainGrid.addWidget(self.flowEdit,     0,3,1,1)
+        self.mainGrid.addWidget(self.flowText, 0, 0, 1, 1)
+        self.mainGrid.addWidget(self.flowCanvas, 0, 2, 1, 1)
+        self.mainGrid.addWidget(self.flowEdit, 0, 3, 1, 1)
+
+
Index: src/viewer/runData.py
===================================================================
--- src/viewer/runData.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/viewer/runData.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,6 +1,10 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 # configure
+
 from conf import *
 
 from model.readData import *
+
 
 class CSNSRunData(QtGui.QWidget):
@@ -10,33 +14,82 @@
         self.setupUi(self)
 
-    def setupUi(self,QWidget):
+    def setupUi(self, QWidget):
         self.mainGrid = QtGui.QGridLayout(self)
         self.mainGrid.setMargin(0)
 
         with plt.xkcd():
-            self.runFigure = Figure((1,1), dpi=150, facecolor="white", edgecolor=None, frameon=False, tight_layout=False)
+            self.runFigure = Figure(
+                (1, 1),
+                dpi=150,
+                facecolor='white',
+                edgecolor=None,
+                frameon=False,
+                tight_layout=False,
+                )
             self.runCanvas = FigureCanvas(self.runFigure)
             self.runCanvas.setParent(self)
 
             self.runAxes = self.runFigure.add_subplot(111)
-            self.runFigure.subplots_adjust(left=0.05, bottom=0.05, right=0.95, top=0.95)
-            self.runAxes.tick_params(axis='both', which='major', labelsize=6)
+            self.runFigure.subplots_adjust(left=0.05, bottom=0.05,
+                    right=0.95, top=0.95)
+            self.runAxes.tick_params(axis='both', which='major',
+                    labelsize=6)
             self.runAxes.get_xaxis().set_visible(False)
             self.runAxes.get_yaxis().set_visible(False)
-            _ntmp, runData = CSNSRead2DData("./dat/refl.dat")
-            self.runAxes.yaxis.set_major_formatter(ticker.FormatStrFormatter('%3.1E'))
-            self.runAxes.plot(runData[0],runData[1])
+            (_ntmp, runData) = CSNSRead2DData('./dat/refl.dat')
+            self.runAxes.yaxis.set_major_formatter(ticker.FormatStrFormatter('%3.1E'
+                    ))
+            self.runAxes.plot(runData[0], runData[1])
             self.runCanvas.draw()
 
-        self.chargeLabel = QtGui.QLabel("Proton Charge: ")
-        self.chargeText = QtGui.QLabel("1.3E6 ")
+        self.chargeLabel = QtGui.QLabel('Proton Charge: ')
+        self.chargeText = QtGui.QLabel('1.3E6 ')
 
-        self.countsLabel = QtGui.QLabel("Neutron Counts: ")
-        self.countsText = QtGui.QLabel("5.2E10 ")
+        self.countsLabel = QtGui.QLabel('Neutron Counts: ')
+        self.countsText = QtGui.QLabel('5.2E10 ')
 
-        self.mainGrid.addWidget(self.chargeLabel,0,0,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.chargeText, 0,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.countsLabel,1,0,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.countsText, 1,1,1,1, QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.runCanvas,  2,0,1,2, QtCore.Qt.AlignCenter)
-        self.mainGrid.addItem(QtGui.QSpacerItem(-1, -1, QtGui.QSizePolicy.Ignored, QtGui.QSizePolicy.Expanding), 2, 0)
+        self.mainGrid.addWidget(
+            self.chargeLabel,
+            0,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(
+            self.chargeText,
+            0,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(
+            self.countsLabel,
+            1,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(
+            self.countsText,
+            1,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(
+            self.runCanvas,
+            2,
+            0,
+            1,
+            2,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addItem(QtGui.QSpacerItem(-1, -1,
+                              QtGui.QSizePolicy.Ignored,
+                              QtGui.QSizePolicy.Expanding), 2, 0)
+
+
